VDJPedia



 MacOS Tiger 10.4 and PowerPC compatibility

Sorry, MacOS Tiger (10.4) is a very old operating system and is no-longer supported by VirtualDJ.

If your Mac is Intel-based then you will need to upgrade it to Snow Leopard or Lion.

If it has a Power PC (PPC) processor then you will need to purchase a new computer. PPC (PowerPC) processor is a very old and obsolete architecture and is no-longer supported by VirtualDJ.


Return to Frequently Asked Questions (FAQ)...